Not working with FF 8 !! Rated 3 out of 5 stars

Not working with FF 8 !!

This review is for a previous version of the add-on (0.6.0). 

I'm using firefox 8.0 myself and it works fine for me, there must be something else going on if it doesn't work i am afraid...